%define name xcdroast
%define version 0.98
%define release 2mdk
%define serial 6

Summary:   A GUI program for burning CDs
Name:      %{name}
Version:   %{version}
Release:   %{release}
Serial:    %{serial}
URL:       http://www.xcdroast.org
Source:   http://www.fh-muenchen.de/rz/xcdroast/src/%{name}-%{version}alpha6-rh.tar.bz2
# Updated translation to Brazilian Portuguese
Source2:   pt_BR_6.1.tar.bz2

# icon
Source3: xcdroast.xpm.bz2
Source4: xcdroast16.xpm.bz2
Source5: xcdroast32.xpm.bz2
Source6: xcdroast48.xpm.bz2

# Enable X-CD-Roast for non-root users
Patch: xcdroast-nonroot-rh.patch.bz2
Copyright: GPL
Group:     Archiving/Cd burning
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires:  cdrecord = 1.9 cdrecord >= 1.9-3mdk cdrecord-cdda2wav >= 1.9-3mdk mkisofs >= 1.13-3mdk

%description
Graphical frontend for the CD-recording program cdrecord.

Features:
     Self-explanatory X11 user interface. 
     Automatic SCSI-hardware setup 
     Copies of ISO9660-CDs, some non-ISO9660-CDs, and audio CDs
     Production of new ISO9660 data CDs ("mastering")
     Production of new audio CDs
     Fast copying of CDs without hardisk buffering 
     Logfile option
     User interface in more than 10 languages

%prep

rm -rf $RPM_BUILD_DIR/%{name}-%{version}alpha6-rh

%setup -n %{name}-%{version}alpha6-rh
%patch
cd lib/lang 
bunzip2 -dc %{SOURCE2} | tar -xvvf-
cd ../..
bzcat %{SOURCE3} > $RPM_BUILD_DIR/%{name}-%{version}alpha6-rh/xcdroast.xpm

# Replace all hard-coded "xcdrgtk" by "xcdroast"
for i in `find . -type f -name '*' -print` ; do sed "s/xcdrgtk/xcdroast/" $i > $i.XXX; chmod --reference=$i $i.XXX; mv -f $i.XXX $i; done

%build

%make

%install

rm -rf $RPM_BUILD_ROOT

export DESTDIR=$RPM_BUILD_ROOT; %makeinstall

mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE6} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

echo THERE


mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat > $RPM_BUILD_ROOT%{_libdir}/menu/xcdroast <<EOF
?package(xcdroast): command="%{_bindir}/xcdroast" needs="X11" \
icon="xcdroast.xpm" section="Applications/Archiving/Cd burning" title="X-CD-Roast" \
longtitle="X-CD-Roast"
EOF

%post 
[ -x %{_bindir}/update-menus ] && %{_bindir}/update-menus || true
grep -q cdwriter /etc/group || groupadd cdwriter

%postun
if [ "$1" = "0" ]; then
[ -x %{_bindir}/update-menus ] && %{_bindir}/update-menus || true
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG DOCUMENTATION FAQ README TRANSLATION.HOWTO
%doc lib/lang/lang_extract.sh
%{_bindir}/xcdroast
%{_libdir}/xcdroast-0.98
%{_iconsdir}/
%{_libdir}/menu/xcdroast

%changelog
* Thu Oct 05 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.98-2mdk
- All icons size.
- Icons now work.

* Sun Sep  3 2000 Till Kamppeter <till@mandrakesoft.com> 0.98-1mdk
- Old ChangeLog removed becasue structure of specfile is completely new
- Complete replacement by the new GTK-based X-CD-Roast 0.98
- initial release
